#! /bin/sh
# Produces statistics on an ID index
# Mark Moraes, University of Toronto
cat << \EOF
Columns are:
5: word
4: % of files it is in,
3: # of files it is in,
2: number of bytes for this word's index entry
1: cumulative number of bytes.  Reverse numeric sorted by second field.

EOF
idfile=${1-ID}
dumpid -f $idfile |
	awk 'NR == 2 {
		npaths = $3;
		next;
	}
	NR == 3 {
		nbytes = $1;
		next;
	}
	/^Words:$/ {
		go="y";
		next;
	}
	go == "y" {
		printf "%5d %4d %6.1f  %s\n", $2 * nbytes + length($1) + 2, $2, $2 * 100/ npaths, $1;
	}' |
	sort -nr |
	awk '{s += $1; printf "%6d %s\n", s, $0}'
